## entangle-image-display

entangle-image-display

## Functions

EntangleImageDisplay * | entangle_image_display_new ()
void | entangle_image_display_set_image ()
EntangleImage * | entangle_image_display_get_image ()
void | entangle_image_display_set_background ()
gchar * | entangle_image_display_get_background ()
void | entangle_image_display_set_image_list ()
GList * | entangle_image_display_get_image_list ()
void | entangle_image_display_set_autoscale ()
gboolean | entangle_image_display_get_autoscale ()
void | entangle_image_display_set_scale ()
gdouble | entangle_image_display_get_scale ()
void | entangle_image_display_set_aspect_ratio ()
gdouble | entangle_image_display_get_aspect_ratio ()
void | entangle_image_display_set_mask_opacity ()
gdouble | entangle_image_display_get_mask_opacity ()
void | entangle_image_display_set_mask_enabled ()
gboolean | entangle_image_display_get_mask_enabled ()
void | entangle_image_display_set_focus_point ()
gboolean | entangle_image_display_get_focus_point ()
void | entangle_image_display_set_overexposure_highlighting ()
gboolean | entangle_image_display_get_overexposure_highlighting ()
void | entangle_image_display_set_flip_vertically ()
gboolean | entangle_image_display_get_flip_vertically ()
void | entangle_image_display_set_flip_horizontally ()
gboolean | entangle_image_display_get_flip_horizontally ()
gboolean | entangle_image_display_get_loaded ()
void | entangle_image_display_set_grid_display ()
EntangleImageDisplayGrid | entangle_image_display_get_grid_display ()
void | entangle_image_display_set_text_overlay ()
const char * | entangle_image_display_get_text_overlay ()

## Properties

float | aspect-ratio | Read / Write
gboolean | autoscale | Read / Write
gboolean | flip-horizontally | Read / Write
gboolean | flip-vertically | Read / Write
gboolean | focus-point | Read / Write
EntangleImageDisplayGrid | grid-display | Read / Write
EntangleImage * | image | Read / Write
gboolean | mask-enabled | Read / Write
float | mask-opacity | Read / Write
gboolean | overexposure-highlighting | Read / Write
float | scale | Read / Write

## Types and Values

#define | ENTANGLE_TYPE_IMAGE_DISPLAY
enum | EntangleImageDisplayGrid
| EntangleImageDisplay

## Object Hierarchy

        GEnum
        ╰── EntangleImageDisplayGrid
        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkDrawingArea
                    ╰── EntangleImageDisplay

## Implemented Interfaces

EntangleImageDisplay implements AtkImplementorIface and GtkBuildable.

## Description

## Functions

### entangle_image_display_new ()

    EntangleImageDisplay *
    entangle_image_display_new (void);

### entangle_image_display_set_image ()

    void
    entangle_image_display_set_image (EntangleImageDisplay *display,
                                      EntangleImage *image);

Set the image to be displayed by the widget. This is a shortcut for setting an image list of length 1.

#### Parameters

display | the display widget |
image | the image to display, or NULL. | [allow-none][transfer none]

### entangle_image_display_get_image ()

    EntangleImage *
    entangle_image_display_get_image (EntangleImageDisplay *display);

Retrieve the image being displayed. If there are multiple images to be displayed, then only the first image is returned.

#### Parameters

display | the display widget |

#### Returns

the image being displayed, or NULL.

[transfer none]

### entangle_image_display_set_background ()

    void
    entangle_image_display_set_background (EntangleImageDisplay *display,
                                           const gchar *background);

### entangle_image_display_get_background ()

    gchar *
    entangle_image_display_get_background (EntangleImageDisplay *display);

### entangle_image_display_set_image_list ()

    void
    entangle_image_display_set_image_list (EntangleImageDisplay *display,
                                           GList *images);

Set the list of images to be displayed. If multiple images are provided they are overlayed with opacity

#### Parameters

display | the display widget |
images | the images to display. | [transfer none][element-type EntangleImage]

### entangle_image_display_get_image_list ()

    GList *
    entangle_image_display_get_image_list (EntangleImageDisplay *display);

Get the list of images being displayed

#### Parameters

display | the display widget |

#### Returns

the list of images.

[transfer full][element-type EntangleImage]

### entangle_image_display_set_autoscale ()

    void
    entangle_image_display_set_autoscale (EntangleImageDisplay *displsy,
                                          gboolean autoscale);

### entangle_image_display_get_autoscale ()

    gboolean
    entangle_image_display_get_autoscale (EntangleImageDisplay *display);

### entangle_image_display_set_scale ()

    void
    entangle_image_display_set_scale (EntangleImageDisplay *display,
                                      gdouble scale);

### entangle_image_display_get_scale ()

    gdouble
    entangle_image_display_get_scale (EntangleImageDisplay *display);

### entangle_image_display_set_aspect_ratio ()

    void
    entangle_image_display_set_aspect_ratio
                                   (EntangleImageDisplay *display,
                                    gdouble aspect);

### entangle_image_display_get_aspect_ratio ()

    gdouble
    entangle_image_display_get_aspect_ratio
                                   (EntangleImageDisplay *display);

### entangle_image_display_set_mask_opacity ()

    void
    entangle_image_display_set_mask_opacity
                                   (EntangleImageDisplay *display,
                                    gdouble opacity);

### entangle_image_display_get_mask_opacity ()

    gdouble
    entangle_image_display_get_mask_opacity
                                   (EntangleImageDisplay *display);

### entangle_image_display_set_mask_enabled ()

    void
    entangle_image_display_set_mask_enabled
                                   (EntangleImageDisplay *display,
                                    gboolean enabled);

### entangle_image_display_get_mask_enabled ()

    gboolean
    entangle_image_display_get_mask_enabled
                                   (EntangleImageDisplay *display);

### entangle_image_display_set_focus_point ()

    void
    entangle_image_display_set_focus_point
                                   (EntangleImageDisplay *display,
                                    gboolean enabled);

### entangle_image_display_get_focus_point ()

    gboolean
    entangle_image_display_get_focus_point
                                   (EntangleImageDisplay *display);

### entangle_image_display_set_overexposure_highlighting ()

    void
    entangle_image_display_set_overexposure_highlighting
                                   (EntangleImageDisplay *display,
                                    gboolean enabled);

### entangle_image_display_get_overexposure_highlighting ()

    gboolean
    entangle_image_display_get_overexposure_highlighting
                                   (EntangleImageDisplay *display);

### entangle_image_display_set_flip_vertically ()

    void
    entangle_image_display_set_flip_vertically
                                   (EntangleImageDisplay *display,
                                    gboolean enabled);

### entangle_image_display_get_flip_vertically ()

    gboolean
    entangle_image_display_get_flip_vertically
                                   (EntangleImageDisplay *display);

### entangle_image_display_set_flip_horizontally ()

    void
    entangle_image_display_set_flip_horizontally
                                   (EntangleImageDisplay *display,
                                    gboolean enabled);

### entangle_image_display_get_flip_horizontally ()

    gboolean
    entangle_image_display_get_flip_horizontally
                                   (EntangleImageDisplay *display);

### entangle_image_display_get_loaded ()

    gboolean
    entangle_image_display_get_loaded (EntangleImageDisplay *display);

### entangle_image_display_set_grid_display ()

    void
    entangle_image_display_set_grid_display
                                   (EntangleImageDisplay *display,
                                    EntangleImageDisplayGrid mode);

### entangle_image_display_get_grid_display ()

    EntangleImageDisplayGrid
    entangle_image_display_get_grid_display
                                   (EntangleImageDisplay *display);

### entangle_image_display_set_text_overlay ()

    void
    entangle_image_display_set_text_overlay
                                   (EntangleImageDisplay *display,
                                    const char *msg);

Set a message to render over the top of the image

#### Parameters

display | the display. | [transfer none]
msg | the message to display, or NULL. | [transfer none][nullable]

### entangle_image_display_get_text_overlay ()

    const char *
    entangle_image_display_get_text_overlay
                                   (EntangleImageDisplay *display);

## Types and Values

### ENTANGLE_TYPE_IMAGE_DISPLAY

    #define ENTANGLE_TYPE_IMAGE_DISPLAY (entangle_image_display_get_type())

### enum EntangleImageDisplayGrid

#### Members

ENTANGLE_IMAGE_DISPLAY_GRID_NONE |  |
ENTANGLE_IMAGE_DISPLAY_GRID_CENTER_LINES |  |
ENTANGLE_IMAGE_DISPLAY_GRID_RULE_OF_3RDS |  |
ENTANGLE_IMAGE_DISPLAY_GRID_QUARTERS |  |
ENTANGLE_IMAGE_DISPLAY_GRID_RULE_OF_5THS |  |
ENTANGLE_IMAGE_DISPLAY_GRID_GOLDEN_SECTIONS |  |

### EntangleImageDisplay

    typedef struct _EntangleImageDisplay EntangleImageDisplay;

## Property Details

### The `“aspect-ratio”` property

      “aspect-ratio”             float

Aspect ratio to mask image to.

Owner: EntangleImageDisplay

Flags: Read / Write

Allowed values: [0,100]

Default value: 1.69

### The `“autoscale”` property

      “autoscale”                gboolean

Automatically scale image to fit available area.

Owner: EntangleImageDisplay

Flags: Read / Write

Default value: TRUE

### The `“flip-horizontally”` property

      “flip-horizontally”        gboolean

Flip horizontally.

Owner: EntangleImageDisplay

Flags: Read / Write

Default value: TRUE

### The `“flip-vertically”` property

      “flip-vertically”          gboolean

Flip vertically.

Owner: EntangleImageDisplay

Flags: Read / Write

Default value: TRUE

### The `“focus-point”` property

      “focus-point”              gboolean

Overlay center focus point.

Owner: EntangleImageDisplay

Flags: Read / Write

Default value: FALSE

### The `“grid-display”` property

      “grid-display”             EntangleImageDisplayGrid

Grid line display.

Owner: EntangleImageDisplay

Flags: Read / Write

Default value: ENTANGLE_IMAGE_DISPLAY_GRID_NONE

### The `“image”` property

      “image”                    EntangleImage *

Image.

Owner: EntangleImageDisplay

Flags: Read / Write

### The `“mask-enabled”` property

      “mask-enabled”             gboolean

Enable aspect ratio image mask.

Owner: EntangleImageDisplay

Flags: Read / Write

Default value: FALSE

### The `“mask-opacity”` property

      “mask-opacity”             float

Mask opacity when adjusting aspect ratio.

Owner: EntangleImageDisplay

Flags: Read / Write

Allowed values: [0,1]

Default value: 0.5

### The `“overexposure-highlighting”` property

      “overexposure-highlighting” gboolean

Highlight areas of overexposure.

Owner: EntangleImageDisplay

Flags: Read / Write

Default value: TRUE

### The `“scale”` property

      “scale”                    float

Scale factor for image, 0-1 for zoom out, 1->32 for zoom in.

Owner: EntangleImageDisplay

Flags: Read / Write

Allowed values: [0,32]

Default value: 0